# Created by pyp2rpm-3.3.2
%global pypi_name pytoml

Name:           python-%{pypi_name}
Version:        0.1.20
Release:        %mkrel 3
Summary:        A parser for TOML-0.4.0
Group:          Development/Python
License:        MIT
URL:            https://github.com/avakar/pytoml
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This project aims at being a specs-conforming and strict parser and writer
for TOML files. The library currently supports version 0.4.0 of the specs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project aims at being a specs-conforming and strict parser and writer
for TOML files. The library currently supports version 0.4.0 of the specs.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.1.20-3.mga8
+ Revision: 1530967
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.1.20-2.mga8
+ Revision: 1437994
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 0.1.20-1.mga7
+ Revision: 1393410
- imported package python-pytoml

